package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ItemReporteControleEstoqueBoletos {
	
	private String id;
	private Integer estacionId;
	private String serie;
	private Long folioInicial;
	private Long folioFinal;
	private String descPuntoVenta;
	private Long numCaja;
	private String descEstacion;
	private String folioAtual;
	private Integer articuloId;
	private String tipo;
	private String nombEmpresa;
	private BigDecimal empresaId;
	private BigDecimal folioCaja;
	private Integer aidfId;
	private Integer marcaId;
	private Integer ultimoFolioCaja;
	private String subSerie;
	private String cveUsuario;
	private String nombreUsuario;
	private String nomeEstado;
	private String descArticulo;
	private Date fechorAquisicion;
	private Date fecVencimento;
	private Integer numfoliopreimpreso;	
	private String tipoAidf;
	private Long quantidade;
	private Integer puntoVentaId;
	private boolean isConsumido;
		
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ItemReporteControleEstoqueBoletos other = (ItemReporteControleEstoqueBoletos) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return "ItemReporteControleEstoqueBoletos [folioCaja=" + folioCaja + ", aidfId=" + aidfId + ", serie="
				+ serie + ", folioInicial=" + folioInicial + ", folioFinal=" + folioFinal + ", empresaId=" + empresaId + ", ID=" + id
				+ "]";
	}
	
}
